The atk Class Reference
Prev |  | Next

## The atk Class Reference

Table of Contents

atk.Action — the ATK interface provided by UI components that the user can activate/interact with,
atk.Component — the ATK interface provided by UI components that occupy a physical area on the screen.
atk.Document — the ATK interface which allows access to a DOM associated with on object.
atk.EditableText — the ATK interface implemented by components containing user-editable text content.
atk.GObjectAccessible — this object class is derived from AtkObject and can be used as a basis implementing accessible objects.
atk.Hyperlink — An ATK object which encapsulates a link or set of links in a hypertext document.
atk.Hypertext — the ATK interface which provides standard mechanism for manipulating hyperlinks.
atk.Image — the ATK Interface implemented by components that expose image or pixmap content on-screen.
atk.Implementor
atk.NoOpObject — an `atk.Object` which purports to implement all ATK interfaces.
atk.NoOpObjectFactory — the `atk.ObjectFactory` which creates an `atk.NoOpObject`.
atk.Object — the base object class for the Accessibility Toolkit API.
atk.ObjectFactory — the base object class for a factory used to create accessible objects for objects of a specific GType.
atk.Rectangle — an object holding data about a rectangle
atk.Registry — an object used to store the GType of the factories used to create an accessible object for an object of a particular GType.
atk.Relation — an object used to describe a relation between a object and one or more other objects.
atk.RelationSet — a set of `atk.Relation` objects, normally the set of `atk.Relation` objects that an `atk.Object` has.
atk.Selection — the ATK interface implemented by container objects whose `atk.Object` children can be selected.
atk.StateSet — an `atk.StateSet` determines a component's state set.
atk.StreamableContent — the ATK interface which provides access to streamable content.
atk.Table — the ATK interface implemented for UI components which contain tabular or row/column information.
atk.Text — the ATK interface implemented by components with text content.
atk.Value — the ATK interface implemented by valuators and components which display or select a value from a bounded range of values.
atk Constants — the built-in constants of the atk module

Prev |  | Next
PyGTK Class Hierarchy | Home | atk.Action